@inproceedings{dingledine2004tor,
  title = {{Tor}: The Second-Generation Onion Router},
  author = {Roger Dingledine and Nick Mathewson and Paul Syverson},
  booktitle = {Proceedings of the 13th USENIX Security Symposium},
  year = {2004},
  month = {August},
  note = {\url{https://svn.torproject.org/svn/projects/design-paper/tor-design.pdf}},
}

@inproceedings{muller2010autonomous,
  title = {Autonomous {NAT} Traversal},
  author = {Andreas M\"{u}ller and Nathan Evans and Christian Grothoff and Samy Kamkar},
  booktitle = {10th IEEE International Conference on Peer-to-Peer Computing (P2P)},
  year = {2010},
  month = {August},
  pages = {1--4},
  organization={IEEE},
}

